Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath.patterns
Class AncestorStepPattern

    java.lang.Object
      |
      +--org.apache.xpath.Expression
            |
            +--org.apache.xpath.patterns.NodeTest
                  |
                  +--org.apache.xpath.patterns.StepPattern
                        |
                        +--org.apache.xpath.patterns.AncestorStepPattern

public class AncestorStepPattern
extends StepPattern

Fields inherited from class org.apache.xpath.patterns.NodeTest
`SCORE_NONE, SHOW_BYFUNCTION, SHOW_NAMESPACE, WILD`

Constructor Summary
`AncestorStepPattern(int whatToShow)`
`AncestorStepPattern(int whatToShow, java.lang.String namespace, java.lang.String name)`

Method Summary
`XObject` | `execute(XPathContext xctxt)` Overide the super method so that we can handle match patterns starting with a function such as id()//
`XObject` | `executeRelativePathPattern(XPathContext xctxt)`

Methods inherited from class org.apache.xpath.patterns.StepPattern
`calcTargetString, executeStep, getLastPos, getMatchScore, getPredicate, getPredicateCount, getProximityPosition, getTargetString, setPredicates, setRelativePathPattern`

Methods inherited from class org.apache.xpath.patterns.NodeTest
`debugWhatToShow, getDefaultScore, getLocalName, getNamespace, getWhatToShow, initNodeTest, initNodeTest`

Methods inherited from class org.apache.xpath.Expression
`assert, error, warn`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AncestorStepPattern

    public AncestorStepPattern(int whatToShow,
                               java.lang.String namespace,
                               java.lang.String name)

### AncestorStepPattern

    public AncestorStepPattern(int whatToShow)

Method Detail

### execute

    public XObject execute(XPathContext xctxt)
                    throws SAXException

  Overide the super method so that we can handle match patterns starting with a function such as id()//
  Overrides:
    execute in class StepPattern

### executeRelativePathPattern

    public XObject executeRelativePathPattern(XPathContext xctxt)
                                       throws SAXException

  Overrides:
    executeRelativePathPattern in class StepPattern

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.